<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.3 at Oct 27, 2017 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=${outputEncoding}" />
    <title>PMD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20171027" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
            
                <div class="xleft">
        <span id="publishDate">Last Published: 2017-10-27</span>
                  &nbsp;| <span id="projectVersion">Version: ${project.version}</span>
                      </div>
            <div class="xright">        
            
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
            
                                      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
            
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section"><h2>PMD Results<a name="PMD_Results"></a></h2><p>The following document contains the results of <a class="externalLink" href="http://pmd.sourceforge.net/">PMD</a> 5.0.5.</p></div><div class="section"><h2>Files<a name="Files"></a></h2><div class="section"><h3>org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.java<a name="orgeclipsepapyrusdesignerlanguagescppcodegenuihandlersGenerateCodeHandler.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.html#L98">98</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.html#L98">98</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.html#L99">99</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.html#L101">101</a></td></tr></table></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;  All Rights Reserved.      
            
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
